GETJob

/job/small

List small jobs

get jobs

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
account_idintegerNoNo description.
account_idsarray<integer>NoNo description.
custom_fieldsbooleanNoif true fetches the custom fields
customer_idintegerNoNo description.
customer_idsarray<integer>NoNo description.
job_idsarray<integer>Nooptional, if empty all jobs
statusesarray<string>Nooptional, if empty all statuses
user_idintegerNoNo description.
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/job/small?account_id=123&account_ids=123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
array<app.SmallJob>application/json
Example
[
  {
    "account_id": 123,
    "custom_fields": [
      {...}
    ],
    "disable_authentication": true,
    "id": 123,
    "identification_code": "string",
    "name": "string",
    "small_account": {...},
    "status": "aktiv",
    "subscribed_users": [
      {...}
    ],
    "user_id": 123
  }
]
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}